=== debian/changelog ===
lizardfs (2.5.4.2+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #619841).

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 26 Mar 2015 09:59:22 +1100
