=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie

## fix FTBFS@ppc64: https://github.com/lizardfs/lizardfs/issues/249
ifneq (,$(filter $(DEB_HOST_ARCH),powerpc powerpcspe))
DEB_LDFLAGS_MAINT_APPEND = -latomic
endif

# minimise needless linking
export DEB_LDFLAGS_MAINT_APPEND += -Wl,--as-needed

## Build tests only on amd64, see https://github.com/lizardfs/lizardfs/issues/197
ifeq ($(DEB_HOST_ARCH),amd64)
OPTARGS = -DENABLE_TESTS=YES
endif

%:
	dh $@ --buildsystem=cmake --builddirectory=build --parallel --with systemd,python2

override_dh_auto_clean:
	$(RM) -rv external/gtest
	dh_auto_clean

override_dh_auto_configure:
	## copy gtest sources
	cp -Rv /usr/src/gtest external/
	dh_auto_configure -- $(OPTARGS)    \
               -DCMAKE_VERBOSE_MAKEFILE=ON \
               -DCMAKE_BUILD_TYPE=Release  \
               -DCMAKE_INSTALL_PREFIX=""   \
               -DENABLE_DEBIAN_PATHS=YES   \
               -DENABLE_UTILS=YES

override_dh_auto_install:
	dh_auto_install
	## rename config files
	for i in debian/tmp/etc/mfs/*.cfg.dist; do \
	    mv -n -v "$$i" "$${i%%.dist}"          \
	;done

override_dh_python2:
	dh_python2
	dh_python2 /usr/share/mfscgi

override_dh_gencontrol:
	dh_gencontrol -- -Vmy:Built-Using="$(foreach pkg,libgtest-dev,$(word 2,$(shell dpkg --status $(pkg) | grep Source)) (=$(word 2,$(shell dpkg --status $(pkg) | grep Version))),)"

override_dh_compress:
	## See #781131
	dh_compress --exclude="examples/mfsexports.cfg" --exclude="examples/mfsmaster.cfg"

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_installinit:
	dh_installinit --no-start

override_dh_systemd_start:
	dh_systemd_start --no-start

override_dh_systemd_enable:
	dh_systemd_enable --no-enable

override_dh_strip:
	dh_strip --dbg-package=lizardfs-dbg
