## lizardfs 2.6.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,8 +19,8 @@
 
 project(lizardfs)
 set(PACKAGE_VERSION_MAJOR 2)
-set(PACKAGE_VERSION_MINOR 5)
-set(PACKAGE_VERSION_MICRO 4)
+set(PACKAGE_VERSION_MINOR 6)
+set(PACKAGE_VERSION_MICRO 0)
 set(PACKAGE_VERSION
     "${PACKAGE_VERSION_MAJOR}.${PACKAGE_VERSION_MINOR}.${PACKAGE_VERSION_MICRO}")
 
@@ -32,10 +32,10 @@
 if(CYGWIN)
   set(CXX_STD gnu++11)
 endif()
-set(CMAKE_CXX_FLAGS "-pipe -std=${CXX_STD} -pthread -Wall -Wextra -fwrapv")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pipe -std=${CXX_STD} -pthread -Wall -Wextra -fwrapv")
 set(CMAKE_CXX_FLAGS_DEBUG "-O0 -g")
-set(CMAKE_CXX_FLAGS_RELEASE "-O3 -DNDEBUG -g")
-set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "-O2 -DNDEBUG -g -fno-omit-frame-pointer")
+set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -O3 -DNDEBUG -g")
+set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELWITHDEBINFO} -O2 -DNDEBUG -g -fno-omit-frame-pointer")
 set(CMAKE_CXX_FLAGS_COVERAGE "-O0 -g --coverage")
 set(CMAKE_CXX_FLAGS_CLANG_ANALYZE "--analyze -Xanalyzer -analyzer-output=text")
 set(CMAKE_CXX_FLAGS_CLANG_SANITIZE_THREAD "-g -O0 -fsanitize=thread")
@@ -59,26 +59,31 @@
 option(ENABLE_EXIT_ON_USR1  "Enable handler for SIGUSR1 which calls exit()"           OFF)
 option(THROW_INSTEAD_OF_ABORT   "Throw std::exception instead of calling abort"       OFF)
 option(ENABLE_DEBUG_LOG     "Enable prefix based debug logs"                          OFF)
+option(ENABLE_HA_CLUSTER    "Enable installation of HA scripts"                       ON)
+option(ENABLE_VERBOSE_ASCIIDOC  "Enable verbose output of asciidoc"                   OFF)
 # end of LizardFS options
 
-message(STATUS "CMAKE_BUILD_TYPE: ${CMAKE_BUILD_TYPE}")
-message(STATUS "CMAKE_INSTALL_PREFIX: ${CMAKE_INSTALL_PREFIX}")
-message(STATUS "DEFAULT_USER: ${DEFAULT_USER}")
-message(STATUS "DEFAULT_GROUP: ${DEFAULT_GROUP}")
-message(STATUS "ENABLE_WERROR: ${ENABLE_WERROR}")
-message(STATUS "ENABLE_LIGHTMFS: ${ENABLE_LIGHTMFS}")
-message(STATUS "ENABLE_DEBIAN_PATHS: ${ENABLE_DEBIAN_PATHS}")
-message(STATUS "ENABLE_UTILS: ${ENABLE_UTILS}")
-message(STATUS "ENABLE_TESTS: ${ENABLE_TESTS}")
-message(STATUS "ENABLE_DOCS: ${ENABLE_DOCS}")
-message(STATUS "ENABLE_EXIT_ON_USR1: ${ENABLE_EXIT_ON_USR1}")
-message(STATUS "THROW_INSTEAD_OF_ABORT: ${THROW_INSTEAD_OF_ABORT}")
-message(STATUS "ENABLE_DEBUG_LOG: ${ENABLE_DEBUG_LOG}")
+message(STATUS "CMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE}")
+message(STATUS "CMAKE_INSTALL_PREFIX=${CMAKE_INSTALL_PREFIX}")
+message(STATUS "DEFAULT_USER=${DEFAULT_USER}")
+message(STATUS "DEFAULT_GROUP=${DEFAULT_GROUP}")
+message(STATUS "ENABLE_WERROR=${ENABLE_WERROR}")
+message(STATUS "ENABLE_LIGHTMFS=${ENABLE_LIGHTMFS}")
+message(STATUS "ENABLE_DEBIAN_PATHS=${ENABLE_DEBIAN_PATHS}")
+message(STATUS "ENABLE_UTILS=${ENABLE_UTILS}")
+message(STATUS "ENABLE_TESTS=${ENABLE_TESTS}")
+message(STATUS "ENABLE_DOCS=${ENABLE_DOCS}")
+message(STATUS "ENABLE_EXIT_ON_USR1=${ENABLE_EXIT_ON_USR1}")
+message(STATUS "THROW_INSTEAD_OF_ABORT=${THROW_INSTEAD_OF_ABORT}")
+message(STATUS "ENABLE_DEBUG_LOG=${ENABLE_DEBUG_LOG}")
+message(STATUS "ENABLE_HA_CLUSTER=${ENABLE_HA_CLUSTER}")
+message(STATUS "ENABLE_VERBOSE_ASCIIDOC=${ENABLE_VERBOSE_ASCIIDOC}")
 # end of LizardFS options values
 
 # All the environment tests (libs, includes, etc.) live here:
 include(EnvTests.cmake)
 include(Libraries)
+include(GNUInstallDirs)
 check_includes("${INCLUDES}")
 
 # Disable -pedantic for old gcc because of unfounded
@@ -94,10 +99,6 @@
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Qunused-arguments")
 endif()
 
-if(CXX_HAS_WNOGNU)
-  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-gnu")
-endif()
-
 if(ENABLE_WERROR)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror")
 endif()
@@ -105,7 +106,7 @@
 if(ENABLE_TESTS AND NOT THROW_INSTEAD_OF_ABORT)
   message(STATUS "Tests require THROW_INSTEAD_OF_ABORT to be set to YES, changing passed value:")
     set(THROW_INSTEAD_OF_ABORT YES)
-  message(STATUS "THROW_INSTEAD_OF_ABORT: ${THROW_INSTEAD_OF_ABORT}")
+  message(STATUS "THROW_INSTEAD_OF_ABORT=${THROW_INSTEAD_OF_ABORT}")
 endif()
 
 if(ENABLE_DEBIAN_PATHS)
@@ -114,27 +115,31 @@
   endif()
   set(BIN_SUBDIR   "usr/bin")
   set(SBIN_SUBDIR  "usr/sbin")
+  set(LIB_SUBDIR   "usr/lib")
   set(ETC_SUBDIR   "etc")
-  set(RUN_SUBDIR   "var/run/mfs")
   set(DATA_SUBDIR  "var/lib/mfs")
   set(MAN_SUBDIR   "usr/share/man")
   set(CGI_SUBDIR   "usr/share/mfscgi")
+  set(OCF_SUBDIR   "usr/lib/ocf/resource.d/lizardfs")
 else()
   set(BIN_SUBDIR   "bin")
   set(SBIN_SUBDIR  "sbin")
+  set(LIB_SUBDIR   "lib")
   set(ETC_SUBDIR   "etc")
-  set(RUN_SUBDIR   "var/run/mfs")
   set(DATA_SUBDIR  "var/lib/mfs")
   set(MAN_SUBDIR   "share/man")
   set(CGI_SUBDIR   "share/mfscgi")
-endif()
-set(BIN_PATH   ${CMAKE_INSTALL_PREFIX}/${BIN_SUBDIR})
-set(SBIN_PATH  ${CMAKE_INSTALL_PREFIX}/${SBIN_SUBDIR})
-set(ETC_PATH   ${CMAKE_INSTALL_PREFIX}/${ETC_SUBDIR})
-set(RUN_PATH   ${CMAKE_INSTALL_PREFIX}/${RUN_SUBDIR})
-set(DATA_PATH  ${CMAKE_INSTALL_PREFIX}/${DATA_SUBDIR})
-set(MAN_PATH   ${CMAKE_INSTALL_PREFIX}/${MAN_SUBDIR})
-set(CGI_PATH   ${CMAKE_INSTALL_PREFIX}/${CGI_SUBDIR})
+  set(OCF_SUBDIR   "lib/ocf/resource.d/lizardfs")
+endif()
+
+string(REGEX REPLACE "/$" "" INSTALL_PREFIX_NO_SLASH ${CMAKE_INSTALL_PREFIX})
+set(BIN_PATH   ${INSTALL_PREFIX_NO_SLASH}/${BIN_SUBDIR})
+set(SBIN_PATH  ${INSTALL_PREFIX_NO_SLASH}/${SBIN_SUBDIR})
+set(ETC_PATH   ${INSTALL_PREFIX_NO_SLASH}/${ETC_SUBDIR})
+set(DATA_PATH  ${INSTALL_PREFIX_NO_SLASH}/${DATA_SUBDIR})
+set(MAN_PATH   ${INSTALL_PREFIX_NO_SLASH}/${MAN_SUBDIR})
+set(CGI_PATH   ${INSTALL_PREFIX_NO_SLASH}/${CGI_SUBDIR})
+set(OCF_PATH   ${INSTALL_PREFIX_NO_SLASH}/${OCF_SUBDIR})
 
 if(ENABLE_LIGHTMFS)
   set(PROTO_BASE 65536)
@@ -162,9 +167,6 @@
 
 
 # Create config.h file
-set(DATA_PATH "${CMAKE_INSTALL_PREFIX}/${DATA_SUBDIR}")
-set(ETC_PATH "${CMAKE_INSTALL_PREFIX}/${ETC_SUBDIR}")
-set(RUN_PATH "${CMAKE_INSTALL_PREFIX}/${RUN_SUBDIR}")
 configure_file(config.h.in config.h)
 include_directories(${CMAKE_BINARY_DIR}) # Here we have generated config.h
 
@@ -200,13 +202,13 @@
 endif()
 include_directories(src) # Allow paths relative to src, eg. #include common/crc.h
 add_subdirectory(external)
+add_subdirectory(src/admin)
 add_subdirectory(src/common)
 add_subdirectory(src/chunkserver)
 add_subdirectory(src/master)
 add_subdirectory(src/metadump)
 add_subdirectory(src/metalogger)
 add_subdirectory(src/metarestore)
-add_subdirectory(src/probe)
 add_subdirectory(src/tools)
 add_subdirectory(src/mount)
 if (FUSE_LIBRARY)
@@ -225,5 +227,6 @@
 if(ENABLE_DOCS)
   add_subdirectory(doc)
 endif()
-
-include(Packages.cmake)
+if (ENABLE_HA_CLUSTER)
+  add_subdirectory(src/ha-cluster)
+endif()
