=== src/master/CMakeLists.txt ===
--- 
+++ 
@@ -7,9 +7,7 @@
 target_link_libraries(master mfscommon)
 add_tests(master ${MASTER_TESTS})
 
-set(RESTORE_SRC ${CMAKE_SOURCE_DIR}/src/metarestore/restore.cc)
-set(METALOGGER_SRC ${CMAKE_SOURCE_DIR}/src/metalogger/masterconn.cc)
-add_executable(mfsmaster ${MAIN_SRC} ${RESTORE_SRC} ${METALOGGER_SRC})
+add_executable(mfsmaster ${MAIN_SRC})
 target_link_libraries(mfsmaster master)
 install(TARGETS mfsmaster RUNTIME DESTINATION ${SBIN_SUBDIR})
