=== src/metalogger/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 collect_sources(METALOGGER)
 
-add_library(metalogger ${METALOGGER_SOURCES})
+add_library(metalogger ${METALOGGER_SOURCES} ../master/changelog.cc ../master/masterconn.cc)
 target_link_libraries(metalogger mfscommon)
 target_link_libraries(metalogger)
 add_tests(metalogger ${METALOGGER_TESTS})
