=== debian/changelog ===
lizardfs (2.6.0+dfsg-1) unstable; urgency=low

  * New upstream release [May 2015].
  * Patchworks:
    - Dropped obsolete patches.
    + Replaced "man.patch" with "-DENABLE_VERBOSE_ASCIIDOC=ON".
    + Replaced "fadvise.patch" with "default-nocache.patch".
    + Added new "default-ignoregid.patch" to fix group permissions.
    + Added "upstream-rlimit.patch" to fix "mfsmount -o mfsmemlock".
      Thanks, Piotr Sarna.
    + Added "upstream-mman.patch" to fix include "sys/mman.h".
      Thanks, Piotr Sarna.
    + Added "build-hurd.patch" with PATH_MAX definition.
  * Master: install "globaliolimits.cfg.5".
  * Systemd:
    + start chunkserver after master (otherwise chunkserver may fail).
    + added chunkserver suspend handlers for pm-suspend and systemd.
  * Lintianisation:
    + command-with-path-in-maintainer-script
  * Build-Depends: versioned dependency "libfuse-dev (>= 2.9.0)"
    because of FTBFS on GNU Hurd due to outdated libfuse.
  * Add "-latomic" to LFDLAGS on [mips,mipsel,sparc] to fix FTBFS.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 28 Jun 2015 16:29:19 +1000
