=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
 
 ## fix FTBFS@ppc64: https://github.com/lizardfs/lizardfs/issues/249
-ifneq (,$(filter $(DEB_HOST_ARCH),powerpc powerpcspe))
+ifneq (,$(filter $(DEB_HOST_ARCH),mips mipsel powerpc powerpcspe sparc))
 DEB_LDFLAGS_MAINT_APPEND = -latomic
 endif
 
@@ -30,16 +30,17 @@
 	## copy gtest sources
 	cp -Rv /usr/src/gtest external/
 	dh_auto_configure -- $(OPTARGS)    \
-               -DCMAKE_VERBOSE_MAKEFILE=ON \
-               -DCMAKE_BUILD_TYPE=Release  \
-               -DCMAKE_INSTALL_PREFIX=""   \
-               -DENABLE_DEBIAN_PATHS=YES   \
+               -DCMAKE_BUILD_TYPE=Release   \
+               -DCMAKE_INSTALL_PREFIX="/"   \
+               -DCMAKE_VERBOSE_MAKEFILE=ON  \
+               -DENABLE_VERBOSE_ASCIIDOC=ON \
+               -DENABLE_DEBIAN_PATHS=YES    \
                -DENABLE_UTILS=YES
 
 override_dh_auto_install:
 	dh_auto_install
 	## rename config files
-	for i in debian/tmp/etc/mfs/*.cfg.dist; do \
+	for i in debian/tmp/etc/lizardfs/*.cfg.dist; do \
 	    mv -n -v "$$i" "$${i%%.dist}"          \
 	;done
